import { Redis } from 'ioredis';
import { ReadStream, IReadableStreamOptions } from 'bluestream';
export interface ScanStreamOptions extends IReadableStreamOptions {
    redis: Redis;
    command: 'scan' | 'sscan' | 'hscan' | 'zscan' | 'scanBuffer' | 'sscanBuffer' | 'hscanBuffer' | 'zscanBuffer';
    key?: string;
    match?: string;
    count?: string;
}
export declare class ScanStream extends ReadStream {
    private _redis;
    private _command;
    private _opts;
    private _nextCursor;
    private _key;
    private _match;
    private _count;
    constructor({ redis, command, key, match, count, ...opts }: ScanStreamOptions);
    _read(): Promise<void>;
}
