export declare class BatchStats {
    readonly commands: Array<any>;
    readonly start: [number, number];
    readonly multi: boolean;
    duration: number | null;
    response: Array<any> | null;
    error: Error | null;
    constructor({ commands, start, multi }: {
        commands: string[][];
        start?: [number, number];
        multi: boolean;
    });
    readonly commandCount: number;
    readonly responseCount: number;
    readonly timeInRedis: number;
    finish(error: Error | null, response: Array<any>): void;
}
export declare class RedisStats {
    readonly batches: Set<BatchStats>;
    batchCount: number;
    commandCount: number;
    responseCount: number;
    timeInRedis: number;
    lastBatch: BatchStats | null;
    constructor();
    startBatch(batchInfo: any): BatchStats;
    endBatch(batch: BatchStats, error: Error | null, response: Array<any>): void;
    toJSON(): {
        batches: BatchStats[];
        batchCount: number;
        commandCount: number;
        responseCount: number;
        timeInRedis: number;
        lastBatch: BatchStats | null;
    };
}
